### Method

# EDataCal CalBackendSExp evaluate_occur_times

since: 2.32

#### Declaration [src]

    gboolean
    e_cal_backend_sexp_evaluate_occur_times (
      ECalBackendSExp* sexp,
      time_t* start,
      time_t* end
    )

#### Description [src]

Determines biggest time window given by expressions “occur-in-range” in sexp.

Available since: 2.32

#### Parameters

`start`

  Type: `time_t*`

  Start of the time window will be stored here.

  The data is owned by the caller of the method.

`end`

  Type: `time_t*`

  End of the time window will be stored here.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.